

function onLoad() {
    var item = window.arguments[0];

    if (item) {
        document.getElementById("rd").value = item.rd;
        document.getElementById("description").value = item.description;
    }
}

function onDialogAccept() {
    var isValid = false;

    try {
        isValid = checkDescription() && checkRD();

        var item = window.arguments[0];

        if (isValid && item) {
            item.description = document.getElementById("description").value;
            item.rd = document.getElementById("rd").value;
        }
    }
    catch (err) {
        alert(err);
    }

    return isValid;
}

function onDialogCancel()
{
}

function checkDescription() {
    var description = document.getElementById("description");
    var isValid = checkElem(description);

    if (!isValid) {
        alert(getLocalizedMessage("setRD.invalidDescription"));
        description.focus();
    }

    return isValid;
}

function checkRD() {
    var rd = document.getElementById("rd");
    var isValid = checkElem(rd);

    if (!isValid) {
        alert(getLocalizedMessage("setRD.invalidPath"));
        rd.focus();
    }

    return isValid;
}


function checkElem(elem) {
    var isValid;
    
    if (elem == null || elem.value == "" || elem.value.indexOf("*") > -1 || elem.value.indexOf("|") > -1) {
        isValid = false;
    } else {
        isValid = true;
    }
    
    return isValid;
}

function getLocalizedMessage(msg) {
    return document.getElementById("subjects_prefix_switch.locale").getString(msg);
}

